# Gateway Settings

The **Gateway Settings API** allows you to configure and manage various settings for your payment processing terminals. This comprehensive API enables you to set automatic batch closing, set your transaction time zones, schedule an auto batch report, update AVS and CSC rules, and enable/disable recurring payments and Hosted Payment Page integration.

### **Available endpoints**

Transaction Alerts

* `GET /merchant/transaction-alert`
* `POST /merchant/transaction-alert`
* `DELETE /merchant/transaction-alert`

Terminal Settings

* `GET /terminal`
* `PUT /terminal`

AVS Settings

* `GET /terminal/avs`
* `PUT /terminal/avs`

CSC Settings

* `GET /terminal/csc`
* `PUT /terminal/csc`

Device Settings

* `GET /terminal/device`
* `POST /terminal/device`
* `PUT /terminal/device`
* `DELETE /terminal/device`

HPP Settings

* `GET /terminal/hpp`
* `POST /terminal/hpp`
* `PUT /terminal/hpp`
* `DELETE /terminal/hpp`

PayLink Settings

* `GET /terminal/paylink`
* `POST /terminal/paylink`
* `PUT /terminal/paylink`
* `DELETE /terminal/paylink`

Report Settings

* `GET /terminal/report`
* `POST /terminal/report`
* `PUT /terminal/report`

RPS (Recurring Payments)

* `GET /terminal/rps`
* `POST /terminal/rps`
* `PUT /terminal/rps`

Duplicate Transaction Settings

* `GET /transaction/duplicates`
* `POST /transaction/duplicates`
* `PUT /transaction/duplicates`
